import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  title: SortOrderSchema.optional(),
  titleKey: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional()
}).strict();
export const PdfGroupMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PdfGroupMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfGroupMinOrderByAggregateInput>;
export const PdfGroupMinOrderByAggregateInputObjectZodSchema = makeSchema();
